TestTargetInfo (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.TestTargetInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class TestTargetInfo

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.TestTargetInfo

All Implemented Interfaces:
  junit.framework.Test

    public class TestTargetInfo

extends junit.framework.TestCase

A description of a file built or to be built

Constructor Summary
`TestTargetInfo(java.lang.String name)`

Method Summary
`void` | `testConstructorNullConfig()`
`void` | `testConstructorNullOutput()`
`void` | `testConstructorNullSource()`
`void` | `testGetRebuild()`
`void` | `testGetSource()`
`void` | `testHasSameSource()`
`void` | `testMustRebuild()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestTargetInfo

    public TestTargetInfo(java.lang.String name)

Method Detail

### testConstructorNullConfig

    public void testConstructorNullConfig()

### testConstructorNullOutput

    public void testConstructorNullOutput()

### testConstructorNullSource

    public void testConstructorNullSource()

### testGetRebuild

    public void testGetRebuild()

### testGetSource

    public void testGetSource()

### testHasSameSource

    public void testHasSameSource()

### testMustRebuild

    public void testMustRebuild()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.